// 对外输出 包含组件的对外json定义、属性配置页面、展示页面 三部分

import BaseIndex from './index.vue'
// import BaseProperties from './properties.vue'
import {
  t,
  $t
} from '../../../../locale/index.js'

const obj = {}

obj.type = 'textarea' //, // 表单类型
obj.title = '多行输入'
obj.component = BaseIndex
// 序号 实际在json中删除
obj.seq = 2

// 补充配置样式
obj.options = {
  config: {
    size: 'mini',
    labelWidth: 80
  },
  columns: [],
  group: [{
    label: $t('ngform.item.options'), // '属性',
    prop: 'options',
    alone: true, // 是否独立与columns之外展示 false则和columns一起，不另外显示
    collapse: false, // 是否启用 collapse 必须alone=true
    column: [{
      label: $t('ngform.item.label'), // '标签',
      prop: 'label',
      default: $t('ngform.item.textarea.name'), // '文本框',
      span: 24
    },

    {
      label: $t('ngform.item.key'), // '数据KEY',
      prop: 'key',
      show: false,
      span: 24
    },
    {
      label: $t('ngform.item.textarea.rows'), // '输入框行数',
      prop: 'rows',
      type: 'number',
      default: 4,
      min: 1,
      span: 24
    },
    {
      label: $t('ngform.item.placeholder'), // '输入提示',
      prop: 'placeholder',
      default: $t('ngform.item.placeholder_input'), // '请输入',
      span: 24
    },
    {
      label: $t('ngform.item.max_length'), // '最大长度',
      type: 'number',
      min: -1,
      max: 1000,
      prop: 'maxLength',
      span: 24,
      default: 200
    },
    {
      label: $t('ngform.item.isRequired'),
      prop: 'isRequired',
      default: false, // '是否必输',
      span: 24
    },
    // {
    //   label: $t('ngform.item.textarea.autosize'), // '自动高度',
    //   prop: 'autosize',
    //   type: 'switch',
    //   default: false,
    //   span: 24
    // }
    ]
  }]
}

export default obj
